package cn.estsh.i3plus.pojo.lac.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.lac.bean.*;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-10-22 下午5:34
 * @Modify:
 **/
public class LacHqlPack {

    private LacHqlPack() {
    }

    public static DdlPackBean packHqlLacTaskType(LacTaskType bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacLogTaskDetail(LacLogTaskDetail bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacLogTask(LacLogTask bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        DdlPreparedPack.getNumEqualPack(bean.getCommandStackRecordId(),"",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bean.getTaskId(),"",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackTemplate(LacCommandStackTemplate bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        DdlPreparedPack.getStringEqualPack(bean.getTemplateCode(),"templateCode",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackStep(LacCommandStackStep bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        DdlPreparedPack.getNumEqualPack(bean.getTemplateId(),"templateId",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackStepTask(LacCommandStackStepTask bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        DdlPreparedPack.getNumEqualPack(bean.getTemplateId(),"templateId",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTask(LacSuitTask bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTask(LacSuitTask bean, List<Long> idList) {
        DdlPackBean ddlPackBean = packHqlLacSuitTask(bean) ;

        DdlPreparedPack.getInPackList(idList,"id",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTaskParamAdapter(LacSuitTaskParamAdapter bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTaskParamAdapter(LacSuitTaskParamAdapter bean, List<Long> taskIdList) {
        DdlPackBean ddlPackBean = packHqlLacSuitTaskParamAdapter(bean);

        DdlPreparedPack.getInPackList(taskIdList,"taskId",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTaskParam(LacSuitTaskParam bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacSuitTaskParam(LacSuitTaskParam bean, List<Long> taskIdList) {
        DdlPackBean ddlPackBean = packHqlLacSuitTaskParam(bean);

        DdlPreparedPack.getInPackList(taskIdList,"taskId",ddlPackBean);

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackType(LacCommandStackType bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackRecord(LacCommandStackRecord bean) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();

        return ddlPackBean;
    }

    public static DdlPackBean packHqlLacCommandStackStepByTemplateId(Long templateId) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();
        DdlPreparedPack.getNumEqualPack(templateId, "templateId", ddlPackBean);
        DdlPreparedPack.getOrderByPack(
                new Object[]{CommonEnumUtil.ASC_OR_DESC.DESC.getValue()},
                new String[]{"stepSort"},
                ddlPackBean
        );
        return ddlPackBean;
    }
}
